<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$empleado=$_GET['empleadoo'];
$utt=0;
$pcc=0;
$pvv=0;

$uttc=0;
$pccc=0;
$pvvc=0;

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:B1')->mergeCells('A2:B2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:B2', 'BDBDBD'); 
cellColor('A1:B1', 'BDBDBD'); 
cellColor('A3:B3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE UTILIDAD POR EMPLEADO')
            ->setCellValue('A2', 'DESDE '.$desde.' HASTA '.$hasta)
            ->setCellValue('A3', 'TOTAL VENTAS')
            ->setCellValue('B3', 'UTILIDAD');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(25);   
$sheet->getColumnDimension('B')->setWidth(20);



    $cel=4;//Numero de fila donde empezara a crear  el reporte
$registros=mysqli_query($con,"SELECT * FROM ventas where vendedor='$empleado' and ven_fecha BETWEEN '$desde' AND '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
   
while ($reg=mysqli_fetch_array($registros))
{
    $ven_id=$reg['ven_id'];
    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id' ");
    while ($row=mysqli_fetch_array($sql))
    {
        $vend_art_id=$row['vend_art_id'];
        $vend_cantidad=$row['vend_cantidad_dev'];
        $vend_costo=$row['vend_costo'];
        $vend_precio_real=$row['vend_precio_real'];

        if ($vend_costo==null) {
            $art=mysqli_query($con,"SELECT * from articulos where art_id='$vend_art_id'");
            $row1=mysqli_fetch_array($art);
            $precio_costo=$row1['art_precio_costo'];
        }
        else
        {
            $precio_costo=$vend_costo;
        }

        $costo=$precio_costo*$vend_cantidad;
        $venta=$vend_precio_real*$vend_cantidad;
        $utilidad=$venta-$costo;

        $pcc+=$costo;   
        $pvv+=$venta;
        $utt+=$utilidad;
    }


    $sqlc=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id' ");
    while ($rowc=mysqli_fetch_array($sqlc))
    {
        $combo_id=$rowc['combo_id'];
        $combo_cantidad=$rowc['combo_cantidad'];
        $combo_nombre=$rowc['combo_nombre'];
        $combo_costo=$rowc['combo_costo'];
        $combo_precio=$rowc['combo_precio'];
        $combo_desc=$rowc['combo_desc'];

        if ($combo_costo==null) 
        {
            $totalprecio_costo=0;
            $com=mysqli_query($con, "SELECT * from combos_articulos where combos_com_id='$combo_id'");
            while ($com1=mysqli_fetch_array($com))
            {
                $coma_art_id=$com1['coma_art_id'];
                $coma_art_cantidad=$com1['coma_art_cantidad'];
                $artc=mysqli_query($con, "SELECT * from articulos where art_id='$coma_art_id'");
                $row1=mysqli_fetch_array($artc);
                $totalprecio_costo+=$precio_costo=$row1['art_precio_costo']*$coma_art_cantidad;
            }    
        }
        else
        {
            $totalprecio_costo=$combo_costo;
        }         

        $costo_combo=$totalprecio_costo*$combo_cantidad;
        $venta_combo=$combo_precio*$combo_cantidad;
        $utilidad_combo=$venta_combo-$costo_combo;

        $pccc+=$costo_combo;   
        $pvvc+=$venta_combo;
        $uttc+=$utilidad_combo;
    }  
}

$sqlc=mysqli_query($con, "SELECT * from usuario where usu_id='$empleado' ");
    while ($rowc=mysqli_fetch_array($sqlc))
    {
        $usu_nombre=$rowc['usu_nombre'];
    

        $a="A".$cel;
        $b="B".$cel;
       
        // Agregar datos
        $sheet
        ->setCellValue($a, number_format($pvv+$pvvc,0))
        ->setCellValue($b, number_format($utt+$uttc,0));

        $cel+=1;

        $a="A".$cel;
        // Agregar datos
        $sheet->mergeCells("A".($cel).":B".($cel))
        ->setCellValue($a, $usu_nombre);

        cellColor('A'.$cel.':B'.$cel, 'BDBDBD');

  }        

// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE UTILIDAD POR EMPLEADO.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>